html {
    height: 100%;
}
body {
    /*min-height: 100%;*/
    background-color: #e9e9e9;
    overflow-x: hidden;
    font-family: "HelveticaNeue-Light","Helvetica Neue Light","Helvetica Neue","Helvetica",Helvetica, Arial,'Arimo',sans-serif;
}
.fullwidth {
    width: 100%;
    max-width: none;
}
.fullheight {
    height: 100%;
    max-height: none;
}
.nopadding {
    padding: 0 !important;
}
.nomargin {
    margin: 0 !important;
}


/*HEADER*/
#header {
    background-color: #333;
}
#header h3 {
    padding-top: 5px;
    padding-left: 20px;
    color: #fff;
    font-weight: 200;
}
.logo-holder {
    float: right;
    margin-right: 25px;
    margin-top: 3px;
    margin-bottom: 5px;
    height: 50px;
    width: 50px;
}
.logo-holder2 {
    float: right;
    margin-right: 20px;
    margin-top: 3px;
    margin-bottom: 3px;
    height: 50px;
    width: 150px;
}
.header-logo {
    padding-top: 5px;
    height: 100%;
    width: 100%;
    margin-left: 10px;
    margin-right: 10px;
}
.header-text {
    margin-top: 3px;
}

#dropim {
  height: 400px;
  width: 533px;

  position: relative;
  border: 4px dotted #999;
  border-radius: 7px;
  margin: 30px auto;

  /*font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", 'Arimo', sans-serif;*/
  font-size: 24px;
  color: #555;
  background-color: #e9e9e9;

  display: flex;
  justify-content: center;
  align-items: center; 
}

#dropim.hover {
  border: 1px solid ;
  outline: none;
  color: #555555;
  background-color: #e9e9e9;
  border-color: #9ecaed;
  box-shadow: 0 0 10px 2px #9ecaed;
}

/* when the container contains the image*/
#dropim.dropped {
  height: 400px;
  width: 533px;
  background-color: #4F4F4F;
  border: 5px solid #0FA;
}
#dropim div {
  position: relative;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
#dropim img {
  vertical-align: middle;
  max-height: 390px;
  max-width: 100%;
  object-fit: contain;
}
#dropim [type="file"] {
  cursor: pointer;
  position: absolute;
  opacity: 0;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

/* INPUT elements */
#text_url{
    display: flex;
    width: 40%;
    margin: auto;
}
#urlfield {
  outline-style: none;
  border-radius: 40px;
  height: 40px;
  width: 100%;
  /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
  font-size: 14px;
  line-height: 20px;
  text-indent: 10px;
  color: #777;
}
#urlinput{
    flex-grow: 10;
    margin: 5px;
}
.bttn{
  flex-grow: 0;
  margin: 5px;
}
#cancel_btn {
  line-height: 40px;
  border-radius: 100%;
  /*font-family: Arial;*/
  color: #BFBFBF;
  background-color: #FFFFFF;
  font-size: 22px;
  padding: 6px 12px 6px 12px;
  border: solid #BFBFBF 2px;
  text-decoration: none;
  transition-duration: 300ms;
  cursor: pointer;
}
#cancel_btn:hover {
  background: #BFBFBF;
  color: #FFFFFF;
  text-decoration: none;
}
#go_btn {
  line-height: 40px;
  border-radius: 100%;
  /*font-family: Arial;*/
  color: #EEEEEE;
  background-color: #71BA23;
  font-size: 20px;
  padding: 6px 6px 6px 6px;
  border: solid #3DA133 2px;
  text-decoration: none;  
  transition-duration: 300ms;
  cursor: pointer;
}
#go_btn:hover {
  background: #218200;
  color: #FFFFFF;
  text-decoration: none; 
}

/*==========================================================*/
/*loading spinner*/
#spinner {
  flex-grow: 0;
  width: 40px;
  height:40px;
  position: relative;
  margin: 5px;
}

.double-bounce1, .double-bounce2 {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #218200;
  opacity: 0.6;
  position: absolute;
  top: 0;
  left: 0;
  
  -webkit-animation: sk-bounce 2.0s infinite ease-in-out;
  animation: sk-bounce 2.0s infinite ease-in-out;
}

.double-bounce2 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

@-webkit-keyframes sk-bounce {
  0%, 100% { -webkit-transform: scale(0.0) }
  50% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bounce {
  0%, 100% { 
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  } 50% { 
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}
/*==========================================================*/

.json_btn {
  line-height: 40px;
  border-radius: 60px;
  color: #EEEEEE;
  background-color: #008FE8;
  font-size: 18px;
  padding: 6px 6px 6px 6px;
  border: solid #0E4256 2px;
  text-decoration: none;  
  transition-duration: 300ms;
  cursor: pointer;
}
.json_btn:hover {
  background: #0061B5;
  color: #FFFFFF;
  text-decoration: none; 
}

#detect-info {
  margin: auto;
}
.ann-wrapper {
  clear: both;
  display: flex;
  justify-content: center;
}
.ann-label {
  text-align: right;
  width: 50%;
}
.ann-val {
  font-weight: bold;
  width: 50%;
  text-align: left;
}

#samples img {
  -webkit-filter: grayscale(100%); /* Chrome, Safari, Opera */
  filter: grayscale(100%);
  height: 170px;
  width: 170px;
  transition-duration: 300ms;
}

#samples img:hover {
  -webkit-filter: none;
  filter: none;
}